unit Ucomunes;

interface

type

CFigura = record
  nom    : string;
  np,nt  : integer;
  Apun   : array of array of single;
  Atra   : array of array of word;
  PCEx,
  PCEy   : single;
  PCRx,
  PCRy   : single;
end;

Biblio = array of CFigura;

FigEscena = record
  ind   : word;  // indice de la Fig en la Biblioteca
  x,y   : single;
  angR  : word;
  ex,ey : single;
  visib : boolean;
end;

Escena  = array of FigEscena;

procedure copia (const F1 : CFigura; var F2 : CFigura);

implementation

procedure copia (const F1 : CFigura; var F2 : CFigura);
var
  k  : integer;
begin
  F2.np := F1.np;
  F2.nt := F1.nt;

  // copia puntos
  SetLength(F2.Apun,F2.np,2);
  for k := 0 to F2.np - 1 do begin
    F2.Apun[k][0] := F1.Apun[k][0];
    F2.Apun[k][1] := F1.Apun[k][1];
  end;

  // copia puntos
  SetLength(F2.Atra,F2.nt,2);
  for k := 0 to F2.nt - 1 do begin
    F2.Atra[k][0] := F1.Atra[k][0];
    F2.Atra[k][1] := F1.Atra[k][1];
  end;

  F2.PCEx := F1.PCEx;
  F2.PCEy := F1.PCEy;

  F2.PCRx := F1.PCRx;
  F2.PCRy := F1.PCRy;

end;

end.
